<?php
/* vim: set expandtab tabstop=4 shiftwidth=4 foldmethod=marker: */
// $HeadURL: https://svn.osuosl.org/public/maintain-project/trunk/htdocs/includes.php $
// +------------------------------------------------------------------------+
// | Maintain - DNS/DHCP Managment Tool                                     |
// +------------------------------------------------------------------------+
// | Copyright (c) 2004 Open Source University                              |
// +------------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or          |
// | modify it under the terms of the GNU General Public License            |
// | as published by the Free Software Foundation; either version 2         |
// | of the License, or (at your option) any later version.                 |
// |                                                                        |
// | This program is distributed in the hope that it will be useful,        |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of         |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the          |
// | GNU General Public License for more details.                           |
// |                                                                        |
// | You should have received a copy of the GNU General Public License      |
// | along with this program; if not, write to the Free Software            |
// | Foundation, Inc., 59 Temple Place - Suite 330,                         |
// | Boston, MA  02111-1307, USA.                                           |
// +------------------------------------------------------------------------+
// | Authors: Daniel Robert <robert@osuosl.org>                             |
// +------------------------------------------------------------------------+
// $Id: includes.php 4768 2006-08-22 18:47:02Z morgabra $

/**
  * Includes for HTDOCS
  *
  * @package    includes
  */

// get the top-level includes file
require_once(dirname(__FILE__)."/../includes.php");

// require custom session management
require_once INCLUDEDIR.'/session.php';

//phphtmllib include stuffs
$phphtmllib = PHPHTMLLIB;   // this variable is required by phphtmllib
require_once($phphtmllib."/includes.inc");
require_once($phphtmllib."/widgets/includes.inc");
require_once($phphtmllib."/form/includes.inc");

// other standard HTDOCS stuff
require_once(HTCLASS."/Skin.php");

// global images array
require_once SKINDIR . '/image_constants.inc';

error_reporting($conf['general']['error_reporting']);

?>
